%global __requires_exclude typelib\\(Unity\\)

# comment out when not beta-release
#define beta	beta1

%define rel	3

Summary:	Simple GTK+ based sound converter application
Name:		soundconverter
Version:	4.0.3
Release:	%mkrel %{?beta:0.%beta.}%{rel}
License:	GPLv3
Group:		Sound/Editors and Converters
URL:		https://soundconverter.org/
Source0:	https://github.com/kassoulet/soundconverter/archive/%{version}%{?beta:-%beta}/%{name}-%{version}%{?beta:-%beta}.tar.gz
BuildArch:	noarch

BuildRequires:	glib-gettextize
BuildRequires:	intltool
BuildRequires:	python3-distutils-extra
BuildRequires:	python3-gobject3
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(python3)
Requires:	python3-gobject
# for pkg-resources
Requires:	python3-setuptools  
Requires:	gstreamer1.0-plugins-base
Requires:	gstreamer1.0-plugins-good
Requires:	gstreamer1.0-python
Requires:	gstreamer1.0-lame
Requires:	gstreamer1.0-flac

%description
SoundConverter is a simple GTK+ based sound converter application.
It reads and writes WAV, FLAC, MP3 and Ogg Vorbis. The user interface
is raw, but should be simple enough to get the job done.

%prep
%setup -q -n %{name}-%{version}%{?beta:-%beta}

%build
%py3_build

%install
%py3_install

desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications \
	--add-category=Audio \
	--add-category=AudioVideoEditing \
	build/share/applications/%{name}.desktop

# install locale
mkdir -p %{buildroot}%{_datadir}/locale
cp -a build/mo/* %{buildroot}%{_datadir}/locale

# remove unidentified locale
rm -r %{buildroot}%{_datadir}/locale/sr@Latn/
rm -r %{buildroot}%{_datadir}/glib-2.0/schemas/gschemas.compiled

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README.md
%{_bindir}/%{name}
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/soundconverter.png
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/glib-2.0/schemas/org.%{name}.gschema.xml


%changelog
* Sun Apr 23 2023 papoteur <papoteur> 4.0.3-3.mga9
+ Revision: 1954603
+ rebuild (emptylog)

* Sat Apr 02 2022 umeabot <umeabot> 4.0.3-2.mga9
+ Revision: 1840802
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 mrambo3501 <mrambo3501> 4.0.3-1.mga9
+ Revision: 1775199
- rebuild for python-3.10

* Sat May 15 2021 daviddavid <daviddavid> 4.0.1-1.mga9
+ Revision: 1723414
- new version: 4.0.1

* Wed Mar 24 2021 tv <tv> 4.0.0-2.mga9
+ Revision: 1708760
- rebuild for python 3.9

* Tue Nov 17 2020 daviddavid <daviddavid> 4.0.0-1.mga8
+ Revision: 1646779
- new version: 4.0.0

* Thu Oct 22 2020 daviddavid <daviddavid> 3.1.0-1.mga8
+ Revision: 1638184
- new version: 3.1.0

* Sat Feb 15 2020 umeabot <umeabot> 3.0.2-2.mga8
+ Revision: 1525198
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Apr 05 2019 daviddavid <daviddavid> 3.0.2-1.mga7
+ Revision: 1385869
- new version: 3.0.2

* Sat Mar 09 2019 wally <wally> 3.0.1-3.mga7
+ Revision: 1373259
- update summary and description
- require gstreamer1.0-flac
- drop unneeded requires

* Sat Feb 09 2019 daviddavid <daviddavid> 3.0.1-2.mga7
+ Revision: 1364452
- fix README dangling link (mga#24328)

* Thu Feb 07 2019 daviddavid <daviddavid> 3.0.1-1.mga7
+ Revision: 1363916
- new version: 3.0.1

* Fri Sep 21 2018 umeabot <umeabot> 3.0.0-0.beta1.2.mga7
+ Revision: 1291500
- Mageia 7 Mass Rebuild

* Wed Jan 03 2018 kekepower <kekepower> 3.0.0-0.beta1.1.mga7
+ Revision: 1190044
- Fixed configure failure
- Added NOCONFIGURE=1 before autogen.sh
- Added BR for python3-gobject3 and gtk3
- Updated to version 3.0.0-beta1
  Now uses gstreamer1.0 packages
  Added new Source0
  Run autogen.sh before configure

* Wed Aug 17 2016 daviddavid <daviddavid> 2.1.6-3.mga6
+ Revision: 1046586
- requires gstreamer0.10-plugins-base and gstreamer0.10-plugins-good
- recommends gstreamer0.10-lame

* Wed Aug 17 2016 daviddavid <daviddavid> 2.1.6-2.mga6
+ Revision: 1046582
- remove gstreamer0.10-gnomevfs as a dependency as it was removed

* Fri Feb 12 2016 daviddavid <daviddavid> 2.1.6-1.mga6
+ Revision: 957015
- new version: 2.1.6

* Mon Oct 26 2015 daviddavid <daviddavid> 2.1.5-2.mga6
+ Revision: 895493
- make it noarch thus fixing empty debuginfo
- move file into '/usr/lib/' dir as it is a noarch package

* Thu Feb 12 2015 vaci0 <vaci0> 2.1.5-1.mga6
+ Revision: 814809
- Update new version 2.1.5

* Wed Oct 15 2014 umeabot <umeabot> 2.1.4-3.mga5
+ Revision: 743179
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.4-2.mga5
+ Revision: 689254
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Sat Sep 06 2014 daviddavid <daviddavid> 2.1.4-1.mga5
+ Revision: 672757
- new version: 2.1.4

* Wed Jun 25 2014 vaci0 <vaci0> 2.1.3-1.mga5
+ Revision: 639679
- imported package soundconverter

